Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

New Contributor

12811-hdp25-0.png

12812-hdp25-1.png

12813-hdp25-2.png

12814-hdp25-3.png

12815-hdp25-4.png

Hi All,

I have upgraded the Ambari from 2.1 to 2.4. Now when i have followed the steps to upgrade the HDP from 2.3 to 2.5(link:https://docs.hortonworks.com/HDPDocuments/Ambari-2.4.0.1/bk_ambari-upgrade/content/upgrading_HDP_reg...). Cant successfully upgrade to HDP2.5.3. I have attached the issues as screen shot. Please help me out.

7 REPLIES 7

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

New Contributor

If you select the host in the UI, and click the Versions tab, does it show that the package is installed? Try re-installing the version and see if the command succeeds.

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

New Contributor

@Nate still it fails... tried multiple re-installing... failing with the same issue

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

New Contributor

Is there an installation error? Can you provide the output from the installation command? The screenshots you provide are only for upgrading, not installation.

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

Mentor
@kotesh banoth

you have a few issues here, first you need to make sure your cluster is HA enabled for HDFS and optionally for YARN. The second issue is that some of the nodes don't have HDP 2.5.3 bits installed yet. I would enable HA, then follow through with installing bits on every node and only then attempt an upgrade. Please read the upgrade guide to plan for it. http://docs.hortonworks.com/HDPDocuments/Ambari-2.4.2.0/bk_ambari-upgrade/content/index.html

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

New Contributor

@Artem Ervits i am trying this upgrade in single node. Is it possible for HA enable in single node?. Is this is the reason for failure of HDP 2.5 upgrade.

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

Mentor

You can't enable HA in single node. You should probably be able to upgrade using Express upgrade as it requires all services to stop. You can't use Rolling Upgrade in your situation. Make sure you go through the steps of registering the 2.5.3 stack, installing new bits then proceed to upgrade via Express.

Highlighted

Re: Upgrade from HDP 2.3.6 to HDP 2.5.3.0 fails

Contributor